[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Random Number Generation |

## Classes
struct | NormalRandomFunctor
class | RandomNumberGenerator
class | UniformIntRandomFunctor
class | UniformRandomFunctor
## Typedefs
typedef RandomNumberGenerator < detail::RandomState < detail::MT19937 > > | RandomMT19937
typedef RandomNumberGenerator | RandomTT800
## Functions
double | normal () const
RandomMT19937 & | randomMT19937 ()
RandomTT800 & | randomTT800 ()

## Detailed Description

High-quality random number generators and related functors.

## Typedef Documentation

typedef RandomNumberGenerator RandomTT800

Shorthand for the TT800 random number generator class.

typedef RandomNumberGenerator<detail::RandomState<detail::MT19937> > RandomMT19937

Shorthand for the MT19937 random number generator class.

## Function Documentation

RandomTT800& vigra::randomTT800 | ( |  | ) |

Access the global (program-wide) instance of the TT800 random number generator.

RandomMT19937& vigra::randomMT19937 | ( |  | ) |

Access the global (program-wide) instance of the MT19937 random number generator.

double normal | ( |  | ) | const`[inherited]`

Return a standard normal variate (Gaussian) random number.

Mean is zero, standard deviation is 1.0. It uses the polar form of the Box-Muller transform.

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)